Package org.eclipse.net4j.util.collection

# Class CollectionUtil.KeepMappedValue

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.util.collection.CollectionUtil.KeepMappedValue

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  CollectionUtil

public static final class CollectionUtil.KeepMappedValue extends RuntimeException

Since:
  3.16
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`KeepMappedValue(Object mappedValue)`

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`mappedValue()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### KeepMappedValue

public KeepMappedValue(Object mappedValue)

## Method Details

### mappedValue

public <T> T mappedValue()